calendar {
    display: inline-block;
    height: 16px;
    text-align: center;
    vertical-align: top;
    width: 16px;
}

calendar .cal-body {
    position: absolute;
    right: 0;
    width: 250px;
    z-index: 10;
}

calendar fieldset {
    height: 16px;
    line-height: 16px;
    margin: 0;
    width: 100%;
}

calendar .loading:before {
    vertical-align: middle !important;
}

/* Widget */
calendar .head {
    height: 20px;
    line-height: 20px;
    position: relative;
}

calendar .head span {
    position: absolute;
    right: 3px;
}

calendar .month {
    height: 24px;
    line-height: 20px;
    position: relative;
}

calendar .month a {
    height: 16px;
    position: absolute;
    top: 2px;
    width: 16px;
}

calendar .month .switch-prev {
    left: 3px;
}

calendar .month .switch-next {
    right: 3px;
}

calendar li {
    box-sizing: border-box;
    float: left;
    width: calc(100% / 7);
}

calendar .days li,
calendar li.current {
    font-weight: bold;
}

calendar .dates .month-prev,
calendar .dates .month-next {
    background-color: #cccccc;
    font-style: italic;
}

calendar .dates .month-curr {
    background-color: #ffffff;
}

calendar .dates .no-action {
    background-color: #cccccc;
    color: #666666;
}

calendar .dates .today {
    background-color: #000000;
    color: #ffffff;
}

calendar .head,
calendar .head a:hover,
calendar .month,
calendar .days li,
calendar .dates .current {
    background-color: #888888;
    color: #ffffff;
}

calendar .dates .month-click:hover {
    background-color: #eeeeee;
    color: #000000;
    cursor: pointer;
    font-style: italic;
    font-weight: normal;
}

/* Cell Borders */
calendar .head,
calendar .days li {
    border-top: 1px solid #333333;
}

calendar .head,
calendar .month,
calendar .days,
calendar .dates {
    border-left: 1px solid #333333;
}

calendar .head,
calendar .month,
calendar .days li,
calendar .dates li {
    border-right: 1px solid #333333;
}

calendar .days li,
calendar .dates li {
    border-bottom: 1px solid #333333;
}

/* Responded */
@media only screen and (min-width: 481px) {
    calendar {
        position: relative;
    }
}

@media only screen and (max-width: 480px) {
    calendar .cal-body {
        left: 0;
        margin: 0 auto;
    }
}
